#!/usr/bin/env python
# -*- coding: utf-8 -*-

""" To confirm the accuracy of low-cost sensor indoor experiment """

import numpy as np
import pandas as pd
import matplotlib.pyplot as plt


def MAE(d1, d2):
    return np.abs(d1 - d2).mean()


if __name__ == '__main__':

    #merge
    df = pd.read_table('data/indoor.tsv')
    df.index.name = 'date and time'

    #plot
    plt.style.use('ggplot')
    ax = df.plot(figsize=(7, 4))
    ax.set_ylabel('temperature [${}^\circ\mathrm{C}$]')
    plt.tight_layout()
    plt.savefig('figs/indoor.pdf')

    #summary
    print 'mae:', MAE(df['low-cost sensor'], df['reference'])
    print 'max:', max(df['low-cost sensor'] - df['reference'])
    print 'min:', min(df['low-cost sensor'] - df['reference'])
